import { ref, watch } from 'vue';
import { getSlotsProps } from '@gx-design-vue/pro-utils';
export function useSlotsProps(slotsName, slots, props) {
    const renderSlotsAndProps = ref({});
    if (slotsName) {
        const watchSlotsList = Object.keys(slots).map(item => () => { var _a; return (_a = slots[item]) === null || _a === void 0 ? void 0 : _a.call(slots); });
        watch([
            () => props
        ].concat(watchSlotsList), () => {
            renderSlotsAndProps.value = getSlotsProps(slotsName, slots, props);
        }, {
            deep: true,
            immediate: true
        });
    }
    return renderSlotsAndProps;
}
